Uploaded image for project: 'Mender'
  1. Mender
  2. MEN-4248

Catch-up wich official Debian packages

    XMLWordPrintable

    Details

    • Type: Epic
    • Status: TASK BREAKDOWN
    • Priority: (None)
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
      None

      Description

      Current status (updated 2022-10-24)

      Debian package unstable version latest Mender tag Remaining work
      mender-cli 1.9.0+ds1-1 1.9.0
      mender-client 3.4.0+ds1-1 3.4.0
      mender-artifact 3.9.0+ds1-1 3.9.0
      mendersoftware/progressbar 0.0.3+ds1-2 v0.0.3
      mendersoftware/go-lib-micro 0.0~git20211108.4e20429+ds1-1  
      mender-connect   2.0.0 Unknown requirements, no ITP yet

      Description (what, potential pr)

      Currently, Mender related Debian packages upstream are falling behind, last complete release being Mender 2.3.

      This epic is about "catching up" with latest Mender release, while for the future we will plan/estimate/implement this work as part of the regular Mender process. See related Decision Log.

      User value (why)

      • Have upstream Debian packages with up to date Mender software

      Acceptance criteria

      • All components from Mender 3.2 are updated in upstream Debian packages

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              lluis LluĂ­s Campos
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated: